V1 Lock Resourcepost https://api.elliemae.com/encompass/v1/resourceLocksLocks the specified resource in Encompass.Query ParamsviewstringPossible values are: entity - Returns all properties for an entity. id - Returns the ID assigned to the entity.Body ParamsidstringThe lockId, which is the unique identifier assigned to the lock and returned in the response when the lock is created.resourceobjectrequiredReferences the entity ID and entity type. Both must include the loan ID and borrower application ID associated with the loan. Both are returned by getLoan.ResourceContract objectuserIdstringThe Encompass user ID of the user holding the lock.lockTypestringWhether the type of lock is exclusive or shared. This is case-insensitive.lockTimestringThe date and time the resource was locked.restricted booleanDefaults to falseRetrieveOnly. Indicates that the resource lock is restricted for certain operations because the loan is also open in Encompass desktop. Restricted loan operations are prohibited by the API user, while the loan remains open in Encompass desktop. The restricted operations include the following: Create or Delete Borrower Pair, and Swap/Move BorrowerstruefalseHeadersAuthorizationstringrequiredBearer tokenResponses 201Created 400Bad Request 401Unauthorized 403Forbidden 500Internal Server ErrorUpdated about 2 months ago